webinspector_client_free
webinspector_client_new
webinspector_client_start_service
webinspector_client_t
webinspector_error_t
webinspector_receive
webinspector_receive_with_timeout
webinspector_send
WEBINSPECTOR_SERVICE_NAME

## webinspector_client_new()

LIBIMOBILEDEVICE_API webinspector_error_t webinspector_client_new | ( | idevice_t | device,
|  | lockdownd_service_descriptor_t | service,
|  | webinspector_client_t * | client )

Connects to the webinspector service on the specified device.

Parameters

  device | The device to connect to.
  service | The service descriptor returned by lockdownd_start_service.
  client | Pointer that will point to a newly allocated webinspector_client_t upon successful return. Must be freed using webinspector_client_free() after use.

Returns
  WEBINSPECTOR_E_SUCCESS on success, WEBINSPECTOR_E_INVALID_ARG when client is NULL, or an WEBINSPECTOR_E_* error code otherwise.